using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Data.Migrations
{
    /// <inheritdoc />
    public partial class StudentCleanup : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "TeamNumber",
                table: "Teams",
                newName: "TeamId");

            migrationBuilder.RenameColumn(
                name: "StateID",
                table: "Students",
                newName: "StateId");

            migrationBuilder.RenameColumn(
                name: "RegionalID",
                table: "Students",
                newName: "RegionalId");

            migrationBuilder.RenameColumn(
                name: "NationalID",
                table: "Students",
                newName: "NationalId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "TeamId",
                table: "Teams",
                newName: "TeamNumber");

            migrationBuilder.RenameColumn(
                name: "StateId",
                table: "Students",
                newName: "StateID");

            migrationBuilder.RenameColumn(
                name: "RegionalId",
                table: "Students",
                newName: "RegionalID");

            migrationBuilder.RenameColumn(
                name: "NationalId",
                table: "Students",
                newName: "NationalID");
        }
    }
}
